Trips
Reject a task completion
Marks a TripTaskCompletion as rejected and stores the reviewer’s admin_notes (required). Requires approve_task_completions.
POST
/
frontend
/
participant
/
trips
/
{client_id}
/
{trip_id}
/
leader
/
tasks
/
completions
/
{completion_id}
/
reject
/
{session_id}
Reject a task completion
curl --request POST \
--url https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/tasks/completions/{completion_id}/reject/{session_id} \
--header 'Content-Type: application/json' \
--header 'session_id: <api-key>' \
--data '
{
"admin_notes": "<string>"
}
'import requests
url = "https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/tasks/completions/{completion_id}/reject/{session_id}"
payload = { "admin_notes": "<string>" }
headers = {
"session_id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {session_id: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({admin_notes: '<string>'})
};
fetch('https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/tasks/completions/{completion_id}/reject/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/tasks/completions/{completion_id}/reject/{session_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'admin_notes' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"session_id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/tasks/completions/{completion_id}/reject/{session_id}"
payload := strings.NewReader("{\n \"admin_notes\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("session_id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/tasks/completions/{completion_id}/reject/{session_id}")
.header("session_id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"admin_notes\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/tasks/completions/{completion_id}/reject/{session_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["session_id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"admin_notes\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "<string>",
"data": {}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
Legacy session-id header retained for backwards compatibility with older first-party clients. New integrations should prefer bearerAuth or apiKeyAuth.
Path Parameters
Body
application/json
Required rejection reason. Validator rule: required|string|max:2000.
Maximum string length:
2000⌘I
Reject a task completion
curl --request POST \
--url https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/tasks/completions/{completion_id}/reject/{session_id} \
--header 'Content-Type: application/json' \
--header 'session_id: <api-key>' \
--data '
{
"admin_notes": "<string>"
}
'import requests
url = "https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/tasks/completions/{completion_id}/reject/{session_id}"
payload = { "admin_notes": "<string>" }
headers = {
"session_id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {session_id: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({admin_notes: '<string>'})
};
fetch('https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/tasks/completions/{completion_id}/reject/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/tasks/completions/{completion_id}/reject/{session_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'admin_notes' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"session_id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/tasks/completions/{completion_id}/reject/{session_id}"
payload := strings.NewReader("{\n \"admin_notes\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("session_id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/tasks/completions/{completion_id}/reject/{session_id}")
.header("session_id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"admin_notes\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/tasks/completions/{completion_id}/reject/{session_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["session_id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"admin_notes\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "<string>",
"data": {}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}